<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="FAQs">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Where can I view the exploit status for a vulnerability? </title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#19-faqs/faq-vv.html">Open topic with navigation</a>
        </p>
        <h4 class="FAQSubHeader">Where can I view the exploit status for a vulnerability? </h4>
        <p>

When you perform vulnerability validation, Metasploit Pro tracks whether or not a vulnerability was successfully exploited. You can view the results from the Vulnerabilities tab (go to <b class="UISelection">Analysis &gt; Hosts &gt; Vulnerabilities</b>). Each vulnerability will have a status of <code>Exploited</code> or <code>Not Exploited</code>.
</p>
        <h4 class="FAQSubHeader">

What are the exploit statuses?</h4>
        <p>

A vulnerability can have one of the following exploit statuses: </p>
        <ul>
            <li value="1"> <![CDATA[

]]><b>Exploited</b> - Metasploit Pro was able to exploit the vulnerability to obtain a session on the target.
</li>
            <li value="2"><b>Not Exploitable</b> - Metasploit Pro was unable to exploit the vulnerability.  

</li>
        </ul>
        <h4 class="FAQSubHeader">Which versions of Nexpose do I need to perform vulnerability validation?

 </h4>
        <p>Nexpose Consultant and Nexpose Enterprise 5.7.16+ can be used with Metasploit Pro for vulnerability validation. </p>
        <h4 class="FAQSubHeader">How can I rerun the Vulnerability Validation Wizard using my previous configuration?
</h4>
        <p>Metasploit Pro currently does not provide the ability to rerun tasks created by the Vulnerability Validation&#160;Wizard. </p>
        <h4 class="FAQSubHeader">How can I view a list of vulnerabilities and their matched exploits?</h4>
        <p>You can go to the Findings window and click on the <b class="UISelection">Exploit Matches</b> tab. The Findings window displays a table of vulnerabilities and their matching exploits. </p>
        <h4 class="FAQSubHeader">Why did Metasploit Pro not import all vulnerabilities from my Nexpose site?</h4>
        <p>Metasploit Pro only imports vulnerabilities for which it has correlating exploit modules. If Metasploit Pro does not have a matching exploit in its database, it will not import the vulnerability from a site.</p>
        <h4 class="FAQSubHeader">How can I view the attack plan without actually running exploits? </h4>
        <p>You can select the <b class="UISelection">Dry run</b> option on the Exploit tab. Metasploit Pro creates the attack plan and prints it in the Task Log. </p>
    </body>
</html>